#!/bin/sh
#  Copyright (C) 2000-2009, Parallels, Inc. All rights reserved.
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#
# Sets up hostname in a container running Red Hat-like distro.

set_hostname()
{
	local cfgfile="$1"
	local var="$2"
	local val="$3"

	[ -n "$val" ] || return 0

	if [ -f /etc/hostname ]; then
		# New style: RHEL7/Fedora15+
		# Note hostname(5) says it should NOT be FQDN
		val=${val%%.*}
		echo "$val" > /etc/hostname
	else
		# "Classic" style
		put_param "${cfgfile}" "${var}" "${val}"
	fi

	hostname "$val"
}

change_hostname /etc/hosts "$HOSTNM" "$IP_ADDR"
set_hostname /etc/sysconfig/network HOSTNAME "$HOSTNM"
if [ -d /etc/hooks/set_hostname.d ] &&
   type run-parts >/dev/null 2>&1; then
	run-parts /etc/hooks/set_hostname.d "$HOSTNM"
fi

exit 0

